<ng-container>
  <div class="product-box" *ngIf="!isLoading; else productBoxSkeleton" (click)="onProductBoxClickHandler()">
    <div class="box-image">
      <div [ngStyle]="imageBackground"></div>
    </div>
    <div class="box-content">
      <div>
        <h3>{{ product.name }}</h3>
      </div>
      <span>Price: {{ product.price }} $</span>
    </div>
  </div>

  <ng-template #productBoxSkeleton>
    <div class="skeleton image"></div>
    <div class="skeleton content">
      <div></div>
      <div></div>
    </div>
  </ng-template>
</ng-container>